Package org.eclipse.ui.activities

# Interface IIdentifierListener

All Known Implementing Classes:
  `PluginActionContributionItem`, `PluginActionCoolBarContributionItem`

public interface IIdentifierListener
An instance of this interface can be used by clients to receive notification of changes to one or more instances of `IIdentifier`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  - `IIdentifier.addIdentifierListener(IIdentifierListener)`
  - `IIdentifier.removeIdentifierListener(IIdentifierListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`identifierChanged(IdentifierEvent identifierEvent)`
Notifies that one or more properties of an instance of `IIdentifier` have changed.

## Method Details

### identifierChanged

void identifierChanged(IdentifierEvent identifierEvent)
Notifies that one or more properties of an instance of `IIdentifier` have changed. Specific details are described in the `IdentifierEvent`.

Parameters:
  `identifierEvent` - the identifier event. Guaranteed not to be `null`.